import axios from 'axios'
import { singleton } from 'decorators/singleton'

const REPORT_TASK_URI = '/api/flow/client/result'

@singleton
export class InfoSvr {
  reportTaskResult(data) {
    data.user = process.env.RUN_USER
    console.log('report to info svr: ' + JSON.stringify(data))
    let url = `${process.env.INFO_SVR_HOST}${REPORT_TASK_URI}`
    let reqConfig: any = {
      method: 'post',
      url,
      headers: {
        'Content-Type': 'application/json',
      },
      data: JSON.stringify(data),
    }
    return axios(reqConfig)
  }
}
